<?php namespace App\ViewModels\GaleriaClassificacao\GaleriaClassificacaoDetailsViewModel;

use App\Utils\Entity;

class GaleriaClassificacaoDetailsViewModel extends Entity
{
    protected $id;
    protected $antes;
    protected $depois;
    protected $imagem_antes;
    protected $descricao_antes;
    protected $imagem_depois;
    protected $descricao_depois;
    protected $descricao_classificacao;

    public static function builder() : GaleriaClassificacaoDetailsViewModelBuilder
    {
        return (new GaleriaClassificacaoDetailsViewModelBuilder);
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    public function getAntes()
    {
        return $this->antes;
    }

    public function setAntes($antes): void
    {
        $this->antes = $antes;
    }

    public function getDepois()
    {
        return $this->depois;
    }

    public function setDepois($depois): void
    {
        $this->depois = $depois;
    }

    public function getImagemAntes()
    {
        return $this->imagem_antes;
    }

    public function setImagemAntes($imagem_antes): void
    {
        $this->imagem_antes = $imagem_antes;
    }

    public function getImagemDepois()
    {
        return $this->imagem_depois;
    }

    public function setImagemDepois($imagem_depois): void
    {
        $this->imagem_depois = $imagem_depois;
    }

    public function getDescricaoAntes()
    {
        return $this->descricao_antes;
    }

    public function setDescricaoAntes($descricao_antes): void
    {
        $this->descricao_antes = $descricao_antes;
    }

    public function getDescricaoDepois()
    {
        return $this->descricao_depois;
    }

    public function setDescricaoDepois($descricao_depois): void
    {
        $this->descricao_depois = $descricao_depois;
    }

    public function getDescricaoClassificacao()
    {
        return $this->descricao_classificacao;
    }

    public function setDescricaoClassificacao($descricao_classificacao): void
    {
        $this->descricao_classificacao = $descricao_classificacao;
    }


}